//scripts\bosslevel\quests\morgath\sequ_05_morgath_dies.c

int idMorgath = GetObject("BM_Morgath");

FadeOutWorld(1, 1);
Wait(1.0); return;
RemoveForcedActions(idMorgath, 2000);

StartInGameSequence();
NPCObj(mc_ID, "MCMorgathDeadGoto0.1");
SetCamObj(0, "SequenceMorgathDead1a");

Wait(1); return;

SetCamObj(0, "SequenceMorgathDead1a");
SetCamObjRel(5.0, "SequenceMorgathDead6");
SetCamObjRel(2.5, "SequenceMorgathDead7");
SetCamObjRel(1.5, "SequenceMorgathDead8");

FadeOutWorld(0, 1);
Wait(0.5); return;
PlaySound("ground_shaking");
Wait(0.75); return;


PlayAniCycle(idMorgath, "graphics\\npc\\Demonic\\Morgath\\morgath_morgath_die.3sc");
PlaySound("Morgath_Boss_Die");
EarthQuake(GetPosX(idMorgath),GetPosY(idMorgath),3,2,3);
AddEffect("E_Drop_Morgath",-150,0,0, GetObject("MCMorgathDeadGoto1.1"));

Wait(3.7); return;


if (IsDead(mc_ID))
{
	EndInGameSequence();
	return;
}

NPCPath(mc_ID, "MCMorgathDeadGoto1.", 1);
Wait(0.3); return;
PlaySound("palace_hero_jump"); 
Wait(1.2); return;
PlayAniCycle(mc_ID, "graphics\\hero\\hero_morgathjump.3sc");
Wait(1.25); return;
AddEffect("C_D_Charge_Special_00",0,0,-200, GetObject("MCMorgathDeadGoto1.1"));
AddEffect("C_D_Charge_Special_01",0,0,-200, GetObject("MCMorgathDeadGoto1.1"));
AddEffect("C_D_Charge_Special_02",0,0,-200, GetObject("MCMorgathDeadGoto1.1"));
//Wait(1.0); return;

Wait(0.25); return;
PlaySpecialMusic("sound\\soulsmorgath.ogg");
FadeOutWorld(1, 1.0);

//FadeOut(idMorgath, 0.5);
//FadeOut(mc_ID, 1.0);
//NPCVisible(idMorgath, 0);
//NPCVisible(mc_ID, 0);

Wait(5.4); return;
SetAI(mc_ID, "WAIT", "");
int sizPar=32;
CoverMap(0, 0, 13000/sizPar, 4100/sizPar);
SetCamObj(0, "SequenceHeart0");
NPCObj(mc_ID, "MCFinalStageGoto0.0");
NPCVisible(mc_ID, 1);
FadeOutWorld(0, 10);


SetCamObj(0, "SequenceHeart0");
SetCamObjRel(10, "SequenceHeart7a");
SetCamObjRel(5, "SequenceHeart7");


Wait(12.2); return;
Wait(4); return;

SetGameMode(0);
EnableInput(0);
SetCameraMode(0);

AutoSave();

Wait(1); return;
EnableInput(1);