void addFireWall(int parent) {
	float MPosX=GetPosX(parent), MPosY=GetPosY(parent);

	float Angle=GetAngle(parent);
	float WDirX=-sin(Angle), WDirY=cos(Angle);
	
	float x,y;
	int id;

	int i,j,k;
	for (i=0; i<=FireWallSize; i++)
	{
		x=MPosX+WDirX*i*EventDist;
		y=MPosY+WDirY*i*EventDist;

		id=AddObject(cidEvent, x, y,Angle);
		SetLifeSpan(id,11.0);
		if(i==0)
		{
			PlaySound("F_F_Wall_02",id);
		}

		k=GetAllObjectsWithinRadius(x,y,EventSize);
		while(k-->0)
		{
			if(IsCreature(objList[k]))
			{
				ActivateEvent(id,objList[k]);
			}
		}
	}
}

if (damMagic[1]*1000000 > 0.0) return;
if (damMagic[0]*1000000 == 0.0) return;

int FireWallSize=6;
string cidEvent="F_F_Wall_02_event";
float EventDist=52;
float EventSize=52;

int idAmphora=GetObjectFloat(obj[0]);

if(GetCfgID(obj[0])=="crab_oil_01") {
	AddEffect("F_F_Wall_02",-35,125,0,idAmphora);
	PlaySound("vault_Statue_Burn", idAmphora);
	SetLifeSpan(obj[0],0.0);
	SetLifeSpan(GetChild(idAmphora,0),1.0);
	addFireWall(idAmphora);

	Wait(4); return;
	SetAI(GetObject("CrabMama"),"CHANGE_STRATEGY","BM_CrabMama_Angry_2_start");
	SetMoveSpd(GetObject("CrabMama"), 100);
	SetLifeSpan(GetObject("crabmamabarrier"),0.0);
}
else {
	AddEffect("F_F_Wall_02",35,125,10,idAmphora);
	PlaySound("vault_Statue_Burn", idAmphora);
	SetLifeSpan(obj[0],0.0);
	SetLifeSpan(GetChild(idAmphora,0),1.0);
	addFireWall(idAmphora);
}