// This script damages the fire elemental every 2 seconds as long as it is in the area of the 
// fire pentagram and ice is coming out of the pipes until it is dead. The tank volume should be a limiting
// factor here. 

DebugMessage(5.0, "Entering Damage Fire SCript");
float dam = 0;

if( fire_damage_synch == 0 )
{
  fire_damage_synch = 1;
  
  while ( GetHealth(GetObject("fire_elemental")) > 0  && tank_fire > 0.0 )
    {
      DebugMessage("Trying to damage Fire Elemental hitpoints: ", GetHealth(GetObject("fire_elemental")));
      if( Distance(GetObject("fire_elemental"), GetObject("pentagram_fire")) < 350.0 )
	{
	  if( gas_amount_fire_at_fire < 0.1 ) // no damage at smoke
	    dam = 2 * gas_amount_ice_at_fire ; // damage dependent on amount of ice
	  else
	    dam = 0;

	  DebugMessage("Damaging Fire Elemental dmamge: ", int(dam));
	  
	  if(dam > 0.0 ) // avoid execution of a hit cycle when no damage is dealt
	    DamageMagic( GetObject("fire_elemental"), 1, int(dam));
	}
      Wait(2.0);return;
    }
  fire_damage_synch = 0;
}
