// Refills the tanks slowly. While refilling other levers that control the gas system have no effect.
// Called from use_lever_refill.c

DebugMessage("Starting refill!");
if(refill_synch == 0)
{
  refill_synch = 1;

    while( (tank_ice < tanks_volume || tank_fire < tanks_volume ) && state_source1 == 0 && state_source2 == 0  )
    {
      //DebugMessage(" ", tank_ice, " . ", tank_fire);
      if(tank_ice < tanks_volume)
	tank_ice += tanks_fill;

      if(tank_fire < tanks_volume)
	tank_fire += tanks_fill;
      
      SetHeight(GetObject("fire_gage"), 140 + tank_fire * 8);
      SetHeight(GetObject("ice_gage"), 140 + tank_ice * 8);
      
      Wait(0.5);return;
    }

    refill_synch = 0;
    DebugMessage("Exit Refill!");

    RequestRunScript("scripts\\crystal_cave_element\\manage_pipeline.c");

}
else
{
  DebugMessage("Refill already running!");
}
