
int IsFreePos(float fX, float fY, float fSize)
{
	int i=GetAllObjectsWithinRadius(fX, fY, fSize);
	while (i-->0)
	{
		if (GetSolid(objList[i])==1)
		{
			return 0;
		}
	}
	i=GetAllWallsWithinRadius(fX, fY, fSize);
	while (i-->0)
	{
		if (GetWallSolid(objList[i])==1)
		{
			return 0;
		}
	}

	return 1;
}

int IsFreePos(float fX, float fY, float fSize, int idObj)
{
	if (idObj!=-1)
	{
		if (GetIntersection(GetPosX(idObj),GetPosY(idObj), fX,fY, 27)<1.0)
		{
			return 0;
		}
	}
	return IsFreePos(fX, fY, fSize);
}

int GetFreePos(int idObj, float fDist, float fSize)
{
	float x,y;
	float fAngle=GetAngle(idObj);
	float fPosX=GetPosX(idObj), fPosY=GetPosY(idObj);
	float fOffset;

	fDist+=GetSize(idObj)+fSize;

	for (fOffset=0; fOffset<RAD(180); fOffset+=RAD(20))
	{
		if (IsFreePos(x=fPosX+cos(fAngle+fOffset)*fDist,y=fPosY+sin(fAngle+fOffset)*fDist, fSize, mc_ID))
		{
			fTmp[0]=x;
			fTmp[1]=y;
			fTmp[2]=(fAngle+fOffset+RAD(180))%RAD(360);
			return 1;
		}

		if (IsFreePos(x=fPosX+cos(fAngle-fOffset)*fDist,y=fPosY+sin(fAngle-fOffset)*fDist, fSize, mc_ID))
		{
			fTmp[0]=x;
			fTmp[1]=y;
			fTmp[2]=(fAngle-fOffset+RAD(180))%RAD(360);
			return 1;
		}
	}

	return 0;
}
