/*
// Summons a monster at a given position with world id monster_wrld with given effect.
// Summoning has a duration of fade_time. During which the monster is waiting.
void summonMonster(float x, float y, string effect, string monster_wrld, float fade_time)
{
  AddEffect(effect, x, y, 0, -1, 0, 0);
  SetPos(GetObject(monster_wrld), x, y);
	 
  SetAI(GetObject(monster_wrld), "WAIT", "wait", "", 100, fade_time, 0);
  
  FadeIn(GetObject(monster_wrld), fade_time); 
}
*/
int IsSummonedBy(int idMonster, int idOwner)
{
	int i=GetSummonedCreatures(idOwner);
	while (i-->0)
	{
		if (objList[i]==idMonster)
		{
			return 1;
		}
	}
	return 0;
}
