//Notice that this script only works correct if redBranch (see init.c) is the name of branches moving the MovePoints from 1 to last target, and greenBranch is the name of the branches moving in direction MovePoint0 

int movePointInt = 0; //MovingPoints
int movingBranch; //objID branch activated script


//obj[0] is red or greenBranch if this script is called as strategy
//obj[1] is red or greenBranch if MovePoint is activated by this branch
if ((GetName(obj[0]) != greenBranch) && (GetName(obj[0]) != redBranch))
  { 
   
    if ((GetName(obj[1]) != greenBranch) && (GetName(obj[1]) != redBranch)) 
      {
	exit; //no branch involved so exit
      }

    // MovePoint activated which must be obj[0]:
    //cutting Of number and casting it to int 
    movePointInt = int(subString(GetWorldID(obj[0]),9,10)); 
    movingBranch = obj[1];
   
    // the next should never happen
    if((movePointInt <= 0) || (movePointInt > lastMovePoint)) {
      DebugMessage("Move Point entry must be 9 and 10 digit of the WorldID of the Bad movePoint entry extracted: ",movePointInt," from the WorldID of movePoint: ",GetWorldID(obj[0]))
       exit;
    }

    //setting last move point to current    
    SetObjectFloat(movingBranch,movePointInt); 
 
  }
 else //called as a strategy so movePoint entry in objFloat stayes the same
   {
     movingBranch = obj[0];
     movePointInt = int(GetObjectFloat(obj[0]));
   }


//DebugMessage(5,movePointInt," von branch ",GetName(movingBranch));
//sort of killer branch red or green
string branchName = GetName(movingBranch);    

//setting direction 0 forward 1 backward, this is initiallized to 0 in the init.c
int direction=int(GetObjectFloat(movingBranch,2)); 

//the move point to go
string movingTo=""; 

if (((branchName == redBranch)&&(direction==0))|| //if red and moving forward or
    ((branchName == greenBranch)&&(direction==1))) //if green and moving backward
  {
    //the last movePoint in direction reached
    if (movePointInt == lastMovePoint) 
      {
	//branch reached enemy tree so attack
	if (branchName == redBranch) 
	  {
	    SetAITarget(movingBranch,GetObject(greenTree),1);
	    SetAI(movingBranch,"ACTION","MonsterDefaultAttack","target1"); 
	   
	  }
	//branch got home for heal therefore first and last movepoint must be in range of tree event
	else 
	  {
	    movingTo = greenTree;
      	    SetAI(movingBranch,"GOTO",movingTo,movingTo,priority,1.5);
	  }
	exit; //leave script nothing to be done anymore 
        
      }
    movePointInt += 1; //counting up in direction green tree
    movingTo = "MovePoint" + string(movePointInt);
    SetAI(movingBranch,"GOTO",movingTo,movingTo,priority,1.5);
  }   
 

else if (((branchName == greenBranch)&&(direction==0))|| //if green and moving forward or
	 ((branchName == redBranch)&&(direction==1))) //if red and moving backward
 { 
    if (movePointInt == 1)
	{
	  //branch reached enemy tree so attack?
          if (branchName == greenBranch) 
	    {
              SetAITarget(movingBranch,GetObject(redTree),1);
	      SetAI(movingBranch,"ACTION","MonsterDefaultAttack","target1"); 
	    }
	  else
	    {
	      //if gone home => healed => ready for next attack
	      movingTo = redTree;
       	      SetAI(movingBranch,"GOTO",movingTo,movingTo,priority,1.5)
	    }
	  exit; //leave script nothing to be done anymore
	}
    else
      {
	movePointInt -= 1; //counting down in direction red tree
	//SetObjectFloat(branchName,movePointInt,1);
      }
    movingTo = "MovePoint" + string(movePointInt); 
    SetAI(movingBranch,"GOTO",movingTo, movingTo,priority,1.5);
 }
 
 else
   {
     Message(messageTime,"Debug: Never should get here..");   
   }












