// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================

NewLevelVariable("insert_point_ID", "int");
insert_point_ID = GetObject("Heptagramm");

NewLevelVariable("arena_door", "int");
arena_door = GetWall("entrance");

NewLevelVariable("smallimp_r1", "int");
NewLevelVariable("imp_r2_1", "int");
NewLevelVariable("imp_r2_2", "int");
NewLevelVariable("imp_r3", "int");
NewLevelVariable("scorp_r3", "int");
NewLevelVariable("crab_r4", "int");
NewLevelVariable("babycrab_r4_1", "int");
NewLevelVariable("babycrab_r4_2", "int");
NewLevelVariable("crab_r5", "int");
NewLevelVariable("scorp_r5", "int");

// ============================================================================

// ============================================================================
 
// ============================================================================



// ============================================================================
// ||                         level variables                                ||
// ============================================================================

NewLevelVariable("level", "int");
level = 1;

NewLevelVariable("failed", "int");
failed = 0;

NewLevelVariable("round_kills","int");
round_kills = 0;

NewLevelVariable("fight", "int");
fight = 0;

NewLevelVariable("success", "int");
success = 0;

// ============================================================================
// ||                             level init                                 ||
// ============================================================================
#include "scripts\\gc_demo\\dialogues\\LANG\\martius.c"
#include "scripts\\gc_demo\\dialogues\\LANG\\doreius.c"

PreloadObject("Imp");
PreloadObject("Crab");
PreloadObject("Scorpion");

NewGameVariable("last_lvl", "string");
last_lvl = "lounge";