// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================
 
// X and Y coordinates for the target at the shooting game
NewLevelVariable("posX", "int", 10);
NewLevelVariable("posY", "int", 10);

posX[0] = 1440;
posX[1] = 1344;
posX[2] = 1280;
posX[3] = 1216;
posX[4] = 1120;
posX[5] = 992;
posX[6] = 896;
posX[7] = 800;
posX[8] = 768;
posX[9] = 672;

posY[0] = 1408; //1216;
posY[1] = 1408; //1120;
posY[2] = 1408;
posY[3] = 1408; //1152;
posY[4] = 896;
posY[5] = 1408; //1280;
posY[6] = 1408; //1056;
posY[7] = 1408; //1344;
posY[8] = 1408; //1152;
posY[9] = 896;

NewLevelVariable("scorp_posX", "int", 8);
NewLevelVariable("scorp_posY", "int", 8);
// 2624,1216 2720,1120 2816,1024 2816,896 2816,768 2720,672 2624,576   

scorp_posX[0] = 2720;
scorp_posX[1] = 2816;
scorp_posX[2] = 2720;
scorp_posX[3] = 2816;
scorp_posX[4] = 2816;
scorp_posX[5] = 2624;
scorp_posX[6] = 2624;
scorp_posX[7] = 2912;

scorp_posY[0] = 1056;
scorp_posY[1] = 832;
scorp_posY[2] = 608;
scorp_posY[3] = 960;
scorp_posY[4] = 704;
scorp_posY[5] = 1152;
scorp_posY[6] = 512;
scorp_posX[7] = 576;

NewLevelVariable("scorp", "int", 7);
scorp[0] = GetObject("scorpi1");
scorp[1] = GetObject("scorpi2");
scorp[2] = GetObject("scorpi3");
scorp[3] = GetObject("scorpi4");
scorp[4] = GetObject("scorpi5");
scorp[5] = GetObject("scorpi6");
scorp[6] = GetObject("scorpi7");

// ============================================================================

NewLevelVariable("target", "int");
target = GetObject("target");

NewLevelVariable("msgtime", "float");
msgtime = 7;

NewLevelVariable("penalty", "float");
penalty = 0.5;

NewLevelVariable("fade_time", "float");
fade_time = 0.5;

// ============================================================================
// ||                         level variables                                ||
// ============================================================================
NewLevelVariable("starttime", "float");
starttime = 0.0;

NewLevelVariable("record", "float");
record = 100.0;

NewLevelVariable("race", "int");
race = 0;

NewLevelVariable("errors", "int");
errors = 0;

NewLevelVariable("last_coll", "float");
last_coll = 0.0;

NewLevelVariable("shooting", "int");
shooting = 0;

NewLevelVariable("hits", "int");
hits = 0;

NewLevelVariable("shots", "int");
shots = 0;

NewLevelVariable("moving_hits", "int");
moving_hits = 0;

NewLevelVariable("ratio_record", "float");
ratio_record = 0;

NewLevelVariable("target_pos", "int");
target_pos = 0;

NewLevelVariable("target_time", "int");
target_time = 30;

NewLevelVariable("moving", "int");
moving = 0;

NewLevelVariable("leave", "int");
leave = 0;

NewLevelVariable("open", "int");
open = 0;

NewLevelVariable("mc_hits", "int");
mc_hits = 0;

NewLevelVariable("survive_record", "float");
survive_record = 0.0;

NewLevelVariable("first_time", "int");
first_time = 1;

// ============================================================================
// ||                             level init                                 ||
// ============================================================================

#include "scripts\\gc_demo\\dialogues\\LANG\\josephus.c"

SetObjectOpacity(target, 0.0);
SetSolid(target, 0);
last_lvl = "parcour";
