
if( IsBossFight() ) 
{
	Message("DB:GorlinCloneNotAllowed");
	return;
}
if (GetAllObjectsWithWorldID("GorlinClone")!=0) return;

if ((GetAllObjectsWithWorldID("LevelIF1_2")!=0)&&(GorlinCalled==2))
{
	GorlinCalled=1;
}

float fSize=18;
float fDist=20;
float x,y;

if (GetFreePos(mc_ID, fDist, fSize)==0)
{
	// Kein Platz
	Message("DB:GorlinCloneNoSpace");
	return;
}

x=fTmp[0];
y=fTmp[1];
float fAngle=fTmp[2];

int id=AddObject("Event Template2", x,y, 0);
SetSize(id, 128);
SetEffBy(id, 1);
SetEventCount(id, -1);
SetOnActivate(id, "scripts\\global\\quests\\gorlin_clone\\leave.c");

id=AddObject("NPC Gorlin Klon", x,y, DEG(fAngle));
SetParty(id ,-2);
SetWorldID(id, "GorlinClone");
FadeOut(id, 0);
SetOnUse(id, "scripts\\global\\dialogues\\gorlin_clone.c");

StartIngameSequence();

SetAI(mc_ID, "aim_at", id);
SetAI(id, "aim_at", mc_ID);

AddEffect("NPC_GorlinClone_Teleport_In", 0,0,0, id);
PlaySound("Gorlinomat", id);
FadeIn(id, 1);

Wait(2); return;

EndIngameSequence();

// Cost: 5% gold
int iGold=GetGold(mc_ID);
if (iGold>0)
{
	float fGold=float(iGold)*0.05;
	iGold=int(fGold);
	if (fGold%1.0>0.0)
	{
		iGold+=1;
	}
	else if (iGold==0)
	{
		iGold=1;
	}
	AddGold(mc_ID, -iGold);
}

Use(mc_ID, id);
