#include "scripts\\functions\\partInInventory.c";
#include "scripts\\functions\\numberOfStatue.c";
#include "scripts\\functions\\animatePart.c";

int inInv=partInInventory(); //get parts in inventory Bitsum of 1,2,4
int story=GetStory(DStatueString); //Getting Story 
int currentStatue=numberOfStatue(GetWorldID(obj[0])); //Getting number of Statue used 1,2,4

int curStatue = trunc(ln(currentStatue,2)); 	 // here 1,2,4 is converted to 0,1,2

int mounted=GetObjectFloat(obj[0]); //1 if part is already mounted 0 otherwise
int tempStory=story;

string a0="...";
if (tempStory>FoundArmHeadLeg) tempStory=FoundArmHeadLeg;

if (mounted) {
  if (partActivated[curStatue]) {Message("Hello");exit;} //if just animated do nothing
  int partObj=GetObject(nameOfPart[curStatue]);
 }
 else {
   if (!(tempStory&inInv&currentStatue)) {
     Message(MsgTime,msgOldStatue[curStatue]); //Message for the statues touched    
     exit;
   }
   else {
     if (story <MountedPart || inInv&currentStatue)
       { 
	 RemoveFromInventory(mc_ID,namePartItem[curStatue]);
	 AddObject(namePartItem[curStatue],partPosX[curStatue],partPosY[curStatue],0,obj[0]);
	 int partObj=GetObject(nameOfPart[curStatue]);
	 SetHeight(partObj,partPosZ[curStatue]);
	 SetPickUp(partObj,0); //no pickup allowed during animation
	 animatePart(GetObject(nameStatue[curStatue]),partPos[curStatue],0);
         SetObjectFloat(GetObject(nameStatue[curStatue]),1); //ah mounted on statue
         
         if (story < MountedPart) {
	   Dialog(msgMountStatue[curStatue],a0);return; //Message for the statue to mount the part missing
	   SetStory(DStatueString,MountedPart); //Set Story to use
	   //Message only first time of mounting a part
	 }
       }
   }	 
 }
#include  "scripts\\hallsofmasters\\3statues\\3StatuesAni.c";
//#include  "scripts\\hallsofmasters\\3statues\\dialogues\\LANG\\3Statues.c";
