//Dialog Horatio
//Quest 02, Combat Lessons
//#404 Combat

int Horatio = GetStory("Horatio");
int CombatLevel = GetStory("Horatio: combat arena");

int idHoratio = GetObject("Horatio");
int iFinish;

// If Rufus and MC are fighting don't talk (is invisible)
if (GetSolid(idHoratio)!=1) return;

if ((Horatio>1)&&(Horatio-1>GetStory("Horatio: combat arena"))&&(HoratioArenaState==2))
{
	SetStory("Horatio: combat arena", GetStory("Horatio")-1);
}

switch (Horatio)
{
	case 0:
		DialogNC("Hello, I'm Horatio. I'm the master of the Combat-Arena. If you want to fight, talk with me and I will evoke some monsters to fight against.", "Nice."); return;
		DialogNC("You are allowed to make each round again and again, but to start a round you have to graduate the round before at first.", "Sounds logical."); return;
		DialogNC("Before I let you go, you have to success the first two rounds.", "..."); return;

	case 1:
		switch (CombatLevel)
		{
			case 0:
				DialogNC("So, which round do you wanna do?", "Round one"); return;
				iFinish=-1;
				break;

			case 1:
				DialogNC("So, which round do you wanna do?", "Round one", "Round two"); return;
				iFinish=-1;
				break;

			case 2:
				DialogNC("So, which round do you wanna do?", "Round one", "Round two", "Round three", "No fighting"); return;
				iFinish=4;
				break;

			case 3:
				DialogNC("So, which round do you wanna do?", "Round one", "Round two", "Round three", "Round four", "No fighting"); return;
				iFinish=5;
				break;

			case 4:
			case 5:
				DialogNC("So, which round do you wanna do?", "Round one", "Round two", "Round three", "Round four", "Round five", "No fighting"); return;
				iFinish=6;
				break;
		}
		if (iFinish==dlgAnswer)
		{
			CloseDialog();
		}
		else
		{
			CloseDialog();

			HoratioArenaState=0;
			SetStory("Horatio", dlgAnswer+1);
			RequestRunScript("scripts\\seminarrooms\\quests\\horatio_combat_lesson\\start.c");
		}
		break;

	// After 1st round
	case 2:
		if (HoratioArenaState==1)
		{
			// Lost
			DialogNC("If you cannot survive in this round, how do you will survive in real-life?", "..."); return;
		}
		else if (HoratioArenaState==2)
		{
			// Won
			if (CombatLevel==0)
			{
				// First time
				DialogNC("Not bad for a beginner, but that wasn't very difficulty.", "..."); return;
				AddExperience(mc_ID, 40);
			}
			else
			{
				// More than 1 time
				DialogNC("You already succeeded this round, very easy!", "..."); return;
			}
		}
		SetStory("Horatio", 1);
		Use(mc_ID, idHoratio);
		break;

	// After 2nd round
	case 3:
		if (HoratioArenaState==1)
		{
			// Lost
			DialogNC("OK, that was a little bit harder...", "..."); return;
		}
		else if (HoratioArenaState==2)
		{
			// Won
			if (CombatLevel==1)
			{
				// First time
				DialogNC("OK, go on like that. These two rounds were very easy. The next ones will be harder, so maybe you should increase your level first.", "No! I wanna try the next round.", "Good Idea. I'll come back later."); return;
				AddExperience(mc_ID, 50);
				if (dlgAnswer==2)
				{
					SetStory("Horatio", 1);
					CloseDialog();
					break;
				}
			}
			else
			{
				// More than 1 time
				DialogNC("You already succeeded this round, easy!", "..."); return;
			}
		}
		SetStory("Horatio", 1);
		Use(mc_ID, idHoratio);
		break;

	// After 3rd round
	case 4:
		if (HoratioArenaState==1)
		{
			DialogNC("Maybe round 3 is an hard round, but everybody succeeded it. So try once again.", "..."); return;
		}
		else if (HoratioArenaState==2)
		{
			// Won
			if (CombatLevel==2)
			{
				// First time
				DialogNC("Hmm... you'll succeed the next round, too, I think.", "..."); return;
				AddExperience(mc_ID, 60);
			}
			else
			{
				// More than 1 time
				DialogNC("You already succeeded this round, normal!", "..."); return;
			}
		}
		SetStory("Horatio", 1);
		Use(mc_ID, idHoratio);
		break;

	// After 4th round
	case 5:
		if (HoratioArenaState==1)
		{
			// Lost
			DialogNC("If you cannot survive in this round, how do you will survive in real-life?", "..."); return;
		}
		else if (HoratioArenaState==2)
		{
			// Won
			if (CombatLevel==3)
			{
				// First time
				DialogNC("Well done. I'll give you the stamp for Malvaren.", "Very good."); return;
				AddExperience(mc_ID, 70);

				RequestRunScript("scripts\\seminarrooms\\quests\\malvaren\\info_after_tasks.c");
			}
			else
			{
				// More than 1 time
				DialogNC("You already succeeded this round, hard!", "..."); return;
			}
		}
		SetStory("Horatio", 1);
		Use(mc_ID, idHoratio);
		break;

	// After 5th round
	case 6:
		if (HoratioArenaState==1)
		{
			// Lost
			DialogNC("If you cannot survive in this round, how do you will survive in real-life?", "..."); return;
		}
		else if (HoratioArenaState==2)
		{
			// Won
			if (CombatLevel==4)
			{
				// First time
				DialogNC("Wow. I'm very impressed! You are the first one who survived in this round.", "Thanks."); return;
				AddGold(150);
				AddExperience(mc_ID, 300);
			}
			else
			{
				// More than 1 time
				DialogNC("You already succeeded this round, very hard!", "..."); return;
			}
		}
		SetStory("Horatio", 1);
		Use(mc_ID, idHoratio);
		break;
}

