
#include "boiler_color_add.c"

float fIntersection=10.0;
float fInvIntersection=1.0/float(fIntersection);

float fTimesMin=4;
float fTimesMax=8;
float fHeat=1.6;
float fFreeze=0.1;

fTimesMin*=fIntersection;
fTimesMax*=fIntersection;

fHeat*=fInvIntersection;
fFreeze*=fInvIntersection;

int i;

if ((GetGameTime()<KaliosEndTime)&&
	(KaliosFinish==0))
{
	if ((KaliosTargetTimes<=0)||(KaliosTarget==-1))
	{
		KaliosTarget=int(KaliosValvesCount*rand());
		KaliosTargetTimes=int(rand()*fTimesMax-fTimesMin+fTimesMin);
	}

	for (i=0; i<KaliosValvesCount; i++)
	{
		fTmp[0]=GetObjectFloat(KaliosValves[i],1);
		if (i==KaliosTarget)
		{
			fTmp[0]+=fHeat;
//			DebugMessage("",KaliosTarget,": ",fTmp[0]);
		}

		if (fTmp[0]>=GetObjectFloat(KaliosValves[i], 3))
		{
			KaliosFinish=2;
			KaliosTarget=-1;
		}
		else if (fTmp[0]<-fFreeze)
		{
			fTmp[0]+=fFreeze*1.5;
		}
		else if (fTmp[0]>fFreeze)
		{
			fTmp[0]-=fFreeze;
		}
		else
		{
			fTmp[0]=0.0;
		}

		SetObjectFloat(KaliosValves[i], fTmp[0],1);
		BoilerAni(KaliosValves[i]);
	}

	KaliosTargetTimes--;

	RequestRunScript("experiment.c", fInvIntersection);
}
else
{
	Wait(1.5-fInvIntersection); return;

	for (i=0; i<KaliosValvesCount; i++)
	{
		SetObjectFloat(KaliosValves[i], 0.0,1);
		SetObjectFloat(KaliosValves[i], GetObjectFloat(KaliosValves[i], 3),2);
		BoilerAni(KaliosValves[i]);
	}

	if (KaliosFinish==0)
	{
		KaliosFinish=1;
	}
	else
	{
	}

	RequestRunScript("sequ_02_end_experiment.c");
}
