
// Setup Fall
float RotateIndex=0.2;
float step=1/20.0;
float length=1;
float i=0, j;
float scale=0.4;
float height=64;


float Abs(float a)
{
	if (a<0) return -a;
	return a;
}

float Rad2Deg(float a)
{
	return a*180.0/3.141592653;
}

float Deg2Rad(float a)
{
	return a*3.141592653/180.0;
}

// Otherwise script would be called multiple times :-(
//SetWallOnCollision(obj[0], "");

// Calc wall-normal
GetWallPos(obj[0]);
//SetWallSolid(obj[0],0); exit;
float normal=Rad2Deg(Vect2Angle(fTmp[0]-fTmp[2],fTmp[1]-fTmp[3]));

normal=(normal+270)%360;

if (obj[2]==1)
	normal=(normal+180)%360;

// Calc fall direction
float angle=( Rad2Deg(GetAngle(obj[1]))-normal+360.0 ) % 360.0-180.0;

if (Abs(angle)>90.0)
	obj[2]=1;
else
	obj[2]=-1;

if (obj[1]==mc_ID)
{
	// Start sequence
	StartInGameSequence();
	SetCameraViewTarget(mc_ID);

	SetCameraView(0.5, 0,0,0, 310, normal,45,0);
	SetCameraView(0.8, 0,0,0, 280, normal,70,0);
	SetCameraView(1.3, 0,0,0, 250, normal,89,0);
}

if (obj[2]==1)
{
	DebugMessage(3,"Fall foreward");
	PlayAniCycle(obj[1], "graphics\\hero\\hero_stumblefall_noweap.3sc");
}
else if (obj[2]==-1)
{
	DebugMessage(3,"Fall backward");
	PlayAniCycle(obj[1], "graphics\\hero\\hero_stumblefall_noweap.3sc");
}

Wait(1.3); return;

void Scale(float a)
{
	while (i<a)
	{
		i+=pow(step,1-0.2*(1-i/length));

		j=1-(scale*i/length);

		SetScale3D(obj[1], j,j,j);
		j=height*i/length;
		SetHeight(obj[1],-j);

		Wait(step); return;
	}
}

Scale(length*0.5);
if (obj[1]==mc_ID)
	FadeOutWorld(1, length*0.5);
else
	FadeOut(obj[1], length*0.5);
Scale(length);

if (obj[1]==mc_ID)
	FadeOutWorld(1, 0);
else
	FadeOut(obj[1], 0);

Kill(obj[1]);

EndInGameSequence();
