// This script damages the ice elemental every 2 seconds as long as it is in the area of the 
// ice pentagram and fire is coming out of the pipes until it is dead. The tank volume should be a limiting
// factor here. 

DebugMessage(5.0, "Entering Damage Ice SCript");
float dam = 0;

if( ice_damage_synch == 0 )
{
  ice_damage_synch = 1;
  
  while ( GetHealth(GetObject("ice_elemental")) > 0  && tank_ice > 0.0 )
    {
      DebugMessage("Trying to damage Ice Elemental hitpoints: ", GetHealth(GetObject("ice_elemental")));
      if( Distance(GetObject("ice_elemental"), GetObject("pentagram_ice")) < 350.0 )
	{
	  if( gas_amount_ice_at_ice < 0.1 )   // no damage at smoke
	    dam = 2 * gas_amount_fire_at_ice; // damage caused by fire 
	  else
	    dam = 0;
	  
	  DebugMessage("Damaging Ice Elemental dmamge: ", dam);
	  
	  if(dam > 0.0 ) // avoid execution of a hit cycle when no damage is dealt
	    DamageMagic( GetObject("ice_elemental"), 1, int(dam));
	}
      Wait(1.0);return;
    }
  ice_damage_synch = 0;
}
