//returns the angle deviation between objID and planetarium laser
float indragulLaserAngle(int objID) {
	float laserX;
	float laserY;
	float creatureX;
	float creatureY;

	int idMiddle=GetObject("TelescopePlatform");

	laserX=GetPosX(GetObject("Laser"))-GetPosX(idMiddle);
	laserY=GetPosY(GetObject("Laser"))-GetPosY(idMiddle);

	creatureX=GetPosX(objID)-GetPosX(idMiddle);
	creatureY=GetPosY(objID)-GetPosY(idMiddle);

	float laserAngle=Vect2Angle(laserX,laserY);
	float creatureAngle=Vect2Angle(creatureX,creatureY);

	float angle=DEG(laserAngle-creatureAngle);
	if(laserY<0.0) {
		if(angle<-180.0) {
			angle=360.0+angle;
		}
	}
	else {
		if(angle>180.0) {
			angle=-360.0+angle
		}
	}
	return angle;
}

void indragulRemoveArmour() {
	int indragul=GetObject("Indragul");
	if(indragul!=-1 && GetObjectFloat(indragul,2)==0.0) {
		AddInfluence(indragul,"hit", 0.6);
		int i=GetAllObjectsWithWorldID("IndragulArmour");
		if (i>0)
		{
			Message(3, "DB:indragulm2");
		}
		while (i-->0)
		{
			RemoveObject(objList[i]);
		}
		SetObjectFloat(indragul,1.0,2);
		SetObjectFloat(indragul,0.0,3);
		SetReceiveDamage(indragul,1);
		SetImmunity(indragul, 12);
	}
}
