int GetNoOfCreaturesWithinRadius(float posX, float posY, float radius, string cfgID, int exact, int party, int intersect)
{
	int tmp = GetAllObjectsWithinRadius(posX,posY,radius,cfgID,exact);
	int noOfCreatures=tmp;

	//Message("pre: " + string(noOfCreatures));
	while(tmp-->0) {
		if( !(IsCreature(objList[tmp]) && !IsDead(objList[tmp])) || GetParty(objList[tmp])!=party ) {
			noOfCreatures--;
		}
		else if( intersect!=-2) {
			if( GetIntersection(posX, posY, GetPosX(objList[tmp]), GetPosY(objList[tmp]), intersect)!=1) {
				noOfCreatures--;
			}
		}
	}
	//Message("post: " + string(noOfCreatures));
	return noOfCreatures;
}

int ScoreGNCWR(int objID, float angle, float distance, float radius, string search, int exact,  int party, int sightflag)
{
	float newX= OffsetX(GetPosX(objID), distance, GetAngle(objID)+RAD(angle));
	float newY= OffsetY(GetPosY(objID), distance, GetAngle(objID)+RAD(angle));
	return GetNoOfCreaturesWithinRadius( newX, newY, radius, search, exact, party, sightflag);
}


int IsClearToShoot(int shooter, int target)
{
	if (!IsValidObject(target)) {
		return 0;
	}
	else {
		return IsLineClearBetweenObjs(shooter, target,27);
	}
}