

NewLevelVariable("scriptLevelPath","string"); //here to alter the path if changes!!!
scriptLevelPath="scripts\\hallsOfMasters\\magicgame\\";


// Init script for game with demon: adept bowling

// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================

int i; //for loops

NewLevelVariable("numberOfImpPositions","int");
numberOfImpPositions = 8; // different positions where imps appear and then attack the adepts

NewLevelVariable("numberOfAdepts","int"); 
numberOfAdepts = 4; //how many adepts to rescue?

NewLevelVariable("healthAdept","int"); 
healthAdept = 1; //health of adepts

NewLevelVariable("partyAdept","int"); 
partyAdept = -3; //players party??

NewLevelVariable("adeptPosWorldID","string",numberOfAdepts); //worldID of position events
NewLevelVariable("adeptWorldID","string",numberOfAdepts); //worldID of adepts

for (i=0;i<numberOfAdepts;i++)
  {
    adeptPosWorldID[i] = "position" + string(i + 1); //setting positions
    adeptWorldID[i] = "adept" + string(i + 1); //setting right worldIDs
  }

NewLevelVariable("adeptCfgID","string"); //objID from creatures_worldobj.cfg
adeptCfgID = "Test NPC"; //in the meantime it is only an test NPC

NewLevelVariable("startPosWorldID","string",numberOfImpPositions);
for (i=0;i<numberOfImpPositions;i++)
  startPosWorldID[i] = "start" + string(i + 1); //setting right worldIDs of Imp starting positions


NewLevelVariable("imp","string"); //objID of the imps
imp = "CricketImp";

NewLevelVariable("demon","string"); //WorldID of demon
demon = "Gamedemon";

NewLevelVariable("numberOfImps","int"); //number of imps starting with !!
numberOfImps = 4;

NewLevelVariable("impDelayTime","float"); //time between to emerges of the imps, only applicable at the first emerge!!!
impDelayTime = 0.5;


NewLevelVariable("maxImp","int");
maxImp = 5; //seem to be enough


NewLevelVariable("baseSpeed","float"); //base speed of imps
baseSpeed = 50;

NewLevelVariable("maxMoveSpeed","float"); //max speed of imps
maxMoveSpeed = 100;

NewLevelVariable("dialogDelayTime","float");
dialogDelayTime = 3; //pause between last imp killed and dialog with demon

NewLevelVariable("scriptImpRun","string"); //pathes of the scripts
NewLevelVariable("scriptGameNotSolved","string");
NewLevelVariable("scriptDemon","string");
NewLevelVariable("scriptGameSolved","string"); //not used yet

scriptImpRun = scriptLevelPath +"imprun.c";
scriptGameNotSolved = scriptLevelPath + "game not solved.c";
scriptDemon = scriptLevelPath + "dialog demon.c";
scriptGameSolved = scriptLevelPath + "game solved.c";

// ============================================================================

// ============================================================================
 
// ============================================================================



// ============================================================================
// ||                         level variables                                ||
// ============================================================================
NewLevelVariable("imps","int");
imps= 0;
NewLevelVariable("dead","int");
dead = 0; //displays if all imps which are to kill are dead

// ============================================================================
// ||                             level init                                 ||
// ============================================================================

#include "scripts\\hallsOfMasters\\magicgame\\messages\\LANG\\messages.c"

int demonID = GetObject(demon);
SetOnUse(demonID,scriptDemon);
SetOnKill(demonID,scriptGameSolved);







