
float fCall=0.5;
float fSpeed=100.0/15.0;

int idLever=GetObject("LoaderLever");

void Disable()
{
	CountDown(-1, "");
	SetUseState(idLever, 0);
	FadeOut(GetObject("LoaderLoadEffect"), 0.5);
}

if (GetUseState(idLever)!=1)
{
	Disable();
	return;
}

if ((LaserType!=1)||
	(TelescopeLaserBreakerType!=1)||
	(GetWall("LoaderEnergy")!=TelescopeLaserBreakerID))
{
	Disable();
	return;
}

switch (LoaderInSocket)
{
case 1:
	LoaderDesintegrateEnergy+=fSpeed*fCall;

	if ((LoaderIndragulEnterted==0)&&
		(LoaderDesintegrateEnergy>40))
	{
		SetCamObj(0, "SequenceIndragul1");
		LoaderIndragulEnterted=1;
		Disable();
		RequestRunScript("sequ_01_indragul.c");
		return;
	}
	else if ((LoaderDesintegrateFinish==0)&&
			 (LoaderDesintegrateEnergy>75))
	{
		LoaderDesintegrateFinish=1;
		RequestRunScript("sequ_03_desintegratus.c");
		RequestRunScript("load.c", fCall);
		break;
	}
	else if (LoaderDesintegrateEnergy<100.0)
	{
		RequestRunScript("load.c", fCall);
		break;
	}
	SetStory("Meganteolis: Desintegrate", 4);

	LoaderDesintegrateEnergy=100;
	int idOld=GetObject("LoaderDesintegrate");
	int id=AddObject("hm_it_desintegratus_02", 0,0,0, GetParent(idOld), GetHeight(idOld));
	RemoveObject(idOld);
	SetPickUp(id, 0);
	SetWorldID(id, "LoaderDesintegrate");

	Disable();
	LoaderInSocket=2;
	return;

case 3:
	LoaderProtBowlEnergy+=fSpeed*fCall;

	if (LoaderProtBowlEnergy<100.0)
	{
		RequestRunScript("load.c", fCall);
		break;
	}
	SetStory("Theodosius: ProtectionBowl", 2);
	AddExperience(mc_ID, 200);

	LoaderProtBowlEnergy=100;
	int idOld=GetObject("LoaderProtBowl");
	int id=AddObject("hm_it_protectionbowl_02", 0,0,0, GetParent(idOld), GetHeight(idOld));
	RemoveObject(idOld);
	SetPickUp(id, 0);
	SetWorldID(id, "LoaderProtBowl");

	Disable();
	LoaderInSocket=4;
	return;

default:
	Disable();
	return;
}
