// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================
NewLevelVariable("msgTime", "float");
msgTime = 3.0;

// ============================================================================

// ============================================================================
 
// ============================================================================

// ============================================================================
// ||                         level variables                                ||
// ============================================================================
//temp startTime variable
NewLevelVariable("startTime", "float");
startTime = 0.0;


NewLevelVariable("JosephusTut", "int");

NewLevelVariable("JosephusTutState", "int");
JosephusTutState=-1;

NewLevelVariable("JosephusTalked", "int");
JosephusTalked=0;

NewLevelVariable("JosephusTutEnd", "int");
JosephusTutEnd=0;

NewLevelVariable("JosephusTutDone", "int", 3);
JosephusTutDone[0]=0;
JosephusTutDone[1]=0;
JosephusTutDone[2]=0;

NewLevelVariable("JosephusTime", "float");


NewLevelVariable("DodgeTrainingHitsDealt", "int");
NewLevelVariable("DodgeTrainingHitsGot", "int");
NewLevelVariable("DodgeTrainingShots", "int");

NewLevelVariable("JosephusGuidMC", "int");
JosephusGuidMC=0;


// Count hits and misses
NewLevelVariable("ShootingArenaShots", "int");
NewLevelVariable("ShootingArenaHits", "int");
// Hitrate
NewLevelVariable("ShootingArenaAccuracy", "float");
NewLevelVariable("ShootingArenaBestAccuracy", "float");
ShootingArenaBestAccuracy=-1.0;

NewLevelVariable("JosephusCombatTutorial", "int");
//coordinates of upper and lower corner of arena
NewLevelVariable("upperCorner", "int",2);
upperCorner[0] = GetPosX(GetObject("combatUpperCorner"));
upperCorner[1] = GetPosY(GetObject("combatUpperCorner"));

NewLevelVariable("lowerCorner", "float",2);
lowerCorner[0] = GetPosX(GetObject("combatLowerCorner"))-upperCorner[0];
lowerCorner[1] = GetPosY(GetObject("combatLowerCorner"))-upperCorner[1];

//objID of the summoned combat_puppet
NewLevelVariable("cP", "int",4);

// ============================================================================
// ||                             level init                                 ||
// ============================================================================

