// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================

// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================

// ============================================================================

// ============================================================================
 
// ============================================================================



// ============================================================================
// ||                         level variables                                ||
// ============================================================================

//dodging obelisque ids
NewLevelVariable("ob", "int",3);
ob[0] = GetObject("ob1");
ob[1] = GetObject("ob2");
ob[2] = GetObject("ob3");

//dodging targets
NewLevelVariable("dodgeTarget", "int",2);
dodgeTarget[0] = GetObject("dodgeTarget1");
dodgeTarget[1] = GetObject("dodgeTarget2");

NewLevelVariable("inactiveTarget", "int");
inactiveTarget = 0;

//bool, dodging quest activated?
NewLevelVariable("dodge", "int");
dodge = 0;

//bool, dodging running?
NewLevelVariable("running", "int");
running = 0;

//maximum allowed hits + counter
NewLevelVariable("allowedHits", "int");
allowedHits = 5;
NewLevelVariable("hitCounter", "int");
hitCounter = 0;

//Hero outside dodging zone?
NewLevelVariable("outside", "int");
outside = 1;

//Time Hero is allowed to be outside zone
NewLevelVariable("time", "float");
time = 2.0;

//score (temporary)
NewLevelVariable("points", "int");
points = 0;

//number of shots (normal dodging)
NewLevelVariable("dodgeMaxShots", "int");
dodgeMaxShots = 10;

//counter
NewLevelVariable("dodgeShotCounter", "int");
dodgeShotCounter = 0;

// Time survived
NewLevelVariable("DodgeArenaSurviveTime", "float");
NewLevelVariable("DodgeArenaBestSurviveTime", "float");
DodgeArenaBestSurviveTime=-1.0;
DodgeArenaSurviveTime=-1.0;

// Dodged Shots
NewLevelVariable("DodgeArenaDodgedShots", "int");
NewLevelVariable("DodgeArenaBestDodgedShots", "int");
DodgeArenaBestDodgedShots=0;
DodgeArenaDodgedShots=0;

// Score for advanced dodging
NewLevelVariable("DodgeArenaScore", "int");
NewLevelVariable("DodgeArenaBestScore", "int");
DodgeArenaBestScore=-1;
DodgeArenaScore=-1;

// ============================================================================
// ||                             level init                                 ||
// ============================================================================

