// On init the Watcher script is loaded
// other initialization may be done
 
// structure of init.c file is the following
// at first story constants are declared
// then level constants seperated in theme blocks meaning variables are grouped by semantic meaning
// then level variables are initialized and declared
// then Work is done which has to be done to initialize level


// ============================================================================
// ||                  story variable constants                              ||
// ============================================================================


// ============================================================================

// ============================================================================


// ============================================================================
// ||                         level constants                                ||
// ============================================================================
NewLevelVariable("scrollID","string"); //WorldID of the message scroll containing the password of the chamber
scrollID="Password Scroll";
NewLevelVariable("doorID","string"); //WorldID of the door
doorID="Meeting Room Door";
NewLevelVariable("failedUseDamage","float");
failedUseDamage=5;
NewLevelVariable("damageEffect","string");
damageEffect="blockSparks";
NewLevelVariable("password","string",8);
password[0]="Whiskey";
password[1]="Rum";
password[2]="Wodka";
password[3]="Wine";
password[4]="Beer";
password[5]="Grog";
password[6]="Hot Chocolate";
NewLevelVariable("dialogAbsolved","int"); //right codeword visible in dialog
dialogAbsolved=0;
NewLevelVariable("rightWord","int");
rightWord=int(rand()*6.99); //pos of the right codeword

// ============================================================================

// ============================================================================
 
// ============================================================================



// ============================================================================
// ||                         level variables                                ||
// ============================================================================

NewLevelVariable("doorTouched","int");
doorTouched=0;
NewLevelVariable("passTemp","int",7);

// ============================================================================
// ||                             level init                                 ||
// ============================================================================

#include "scripts\\testbarriere\\messages\\LANG\\messages.c"







