
void CopyToClip()
{
	string s="";

	s+="TextureUpperBody="+string(GetCreatureTexture(mc_ID, 1)+1)+"\n";
	s+="MeshUpperBody="+string(GetCreatureMesh(mc_ID, 1)+1)+"\n";

	s+="TextureLowerBody="+string(GetCreatureTexture(mc_ID, 2)+1)+"\n";
	s+="MeshLowerBody="+string(GetCreatureMesh(mc_ID, 2)+1)+"\n";

	s+="TextureHands="+string(GetCreatureTexture(mc_ID, 3)+1)+"\n";
	s+="MeshHands="+string(GetCreatureMesh(mc_ID, 3)+1)+"\n";

	s+="TextureHead="+string(GetCreatureTexture(mc_ID, 4)+1)+"\n";
	s+="MeshHead="+string(GetCreatureMesh(mc_ID, 4)+1)+"\n";

	s+="TextureBoots="+string(GetCreatureTexture(mc_ID, 5)+1)+"\n";
//	s+="MeshBoots="+string(GetCreatureMesh(mc_ID, 5))+"\n";

	s+="TextureBeard="+string(GetCreatureTexture(mc_ID, 6)+1)+"\n";
	s+="MeshBeard="+string(GetCreatureMesh(mc_ID, 6)+1)+"\n";

	s+="TextureHair="+string(GetCreatureTexture(mc_ID, 7)+1)+"\n";
	s+="MeshHair="+string(GetCreatureMesh(mc_ID, 7)+1)+"\n";

	s+="TextureBelt="+string(GetCreatureTexture(mc_ID, 8)+1)+"\n";
	s+="MeshBelt="+string(GetCreatureMesh(mc_ID, 8)+1)+"\n";

	s+="MeshEyeGlow="+string(GetCreatureMesh(mc_ID, 9)+1)+"\n\n";

	int iCount=1;
	for (int i=1; i<16; i++)
	{
		sTmp[0]=GetEquipment(mc_ID, i);
		if (sTmp[0]!="")
		{
			s+="AddItem"+string(iCount++)+"=\""+sTmp[0]+"\"\n";
		}
	}

	Message("copied");
	CopyToClipboard(s);
}

void CharEditorMainMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose Type:");
		AddToSelectMenu("Upper body texture"); i++;
		AddToSelectMenu("Lower body texture"); i++;
		AddToSelectMenu("Boots texture"); i++;
		AddToSelectMenu("Head texture"); i++;
		AddToSelectMenu("Hands texture"); i++;
		AddToSelectMenu("Beard texture"); i++;
		AddToSelectMenu("Belt texture"); i++;
		AddToSelectMenu("Hair texture"); i++;
		AddToSelectMenu("Upper body mesh"); i++;
		AddToSelectMenu("Lower body mesh"); i++;
		AddToSelectMenu("Head mesh"); i++;
		AddToSelectMenu("Hands mesh"); i++;
		AddToSelectMenu("Beard mesh"); i++;
		AddToSelectMenu("Belt mesh"); i++;
		AddToSelectMenu("Hair mesh"); i++;
		AddToSelectMenu("Weapons"); i++;
		AddToSelectMenu("Outfits"); i++;
		AddToSelectMenu("Bracers"); i++;
		AddToSelectMenu("Pauldrons"); i++;
		AddToSelectMenu("Boots"); i++;
		AddToSelectMenu("Gloves&Gauntlets"); i++;
		AddToSelectMenu("Blets"); i++;
		AddToSelectMenu("Hats"); i++;
		AddToSelectMenu("Eye Glow"); i++;
		AddToSelectMenu("Copy to clipboard"); i++;
		AddToSelectMenu("Exit");
		return; // reenter

		if(dlgAnswer==i) return;

		switch(dlgAnswer)
		{
			case 0: return;
			case 1: if(CharEditorUpperBodyTextureMenu()==0) return; 
					else break;
			case 2: if(CharEditorLowerBodyTextureMenu()==0) return; 
					else break;
			case 3: if(CharEditorBootsTextureMenu()==0) return; 
					else break;
			case 4: if(CharEditorHeadTextureMenu()==0) return; 
					else break;
			case 5: if(CharEditorHandsTextureMenu()==0) return; 
					else break;
			case 6: if(CharEditorBeardTextureMenu()==0) return; 
					else break;
			case 7: if(CharEditorBeltTextureMenu()==0) return; 
					else break;
			case 8: if(CharEditorHairTextureMenu()==0) return; 
					else break;
			case 9: if(CharEditorUpperBodyMeshMenu()==0) return;
					else break;
			case 10: if(CharEditorLowerBodyMeshMenu()==0) return;
					else break;
			case 11: if(CharEditorHeadMeshMenu()==0) return;
					else break;
			case 12: if(CharEditorHandsMeshMenu()==0) return;
					else break;
			case 13: if(CharEditorBeardMeshMenu()==0) return;
					else break;
			case 14: if(CharEditorBeltMeshMenu()==0) return;
					else break;
			case 15: if(CharEditorHairMeshMenu()==0) return;
					else break;
			case 16: if(CharEditorWeaponMenu()==0) return;
					else break;
			case 17: if(CharEditorOutfitMenu()==0) return;
					else break;
			case 18: if(CharEditorBracerMenu()==0) return;
					else break;
			case 19: if(CharEditorPauldronMenu()==0) return;
					else break;
			case 20: if(CharEditorBootMenu()==0) return;
					else break;
			case 21: if(CharEditorGloveMenu()==0) return;
					else break;
			case 22: if(CharEditorBeltMenu()==0) return;
					else break;
			case 23: if(CharEditorHatMenu()==0) return;
					else break;
			case 24: if(CharEditorEyeGlowMenu()==0) return;
					else break;
			case 25:
				CopyToClip();
				break;
		}
	}
}

int CharEditorUpperBodyTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose upper body texture:");
		for (i=1; i<=35; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,1,dlgAnswer-1); break;
		}
	}
}

int CharEditorLowerBodyTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose lower body texture:");
		for (i=1; i<=34; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,2,dlgAnswer-1); break;
		}
	}
}

int CharEditorBootsTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose boots texture:");
		for (i=1; i<=20; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,5,dlgAnswer-1); break;
		}
	}
}

int CharEditorHeadTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose head texture:");
		for (i=1; i<=10; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,4,dlgAnswer-1); break;
		}
	}
}

int CharEditorHandsTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose hands texture:");
		for (i=1; i<=11; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,3,dlgAnswer-1); break;
		}
	}
}

int CharEditorBeardTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose beard texture:");
		for (i=1; i<=6; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,6,dlgAnswer-1); break;
		}
	}
}

int CharEditorBeltTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose belt texture:");
		for (i=1; i<=15; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,8,dlgAnswer-1); break;
		}
	}
}

int CharEditorHairTextureMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose hair texture:");
		for (i=1; i<=6; i++)
			AddToSelectMenu(string(i));
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureTexture(mc_ID,7,dlgAnswer-1); break;
		}
	}
}

int CharEditorUpperBodyMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose upper body mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=3; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,1,dlgAnswer-2); break;
		}
	}
}

int CharEditorLowerBodyMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose lower body mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=5; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,2,dlgAnswer-2); break;
		}
	}
}

int CharEditorHeadMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose head mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=4; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,4,dlgAnswer-2); break;
		}
	}
}

int CharEditorHandsMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose hands mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=3; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,3,dlgAnswer-2); break;
		}
	}
}

int CharEditorBeardMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose beard mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=5; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,6,dlgAnswer-2); break;
		}
	}
}

int CharEditorBeltMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose belt mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=1; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,5,dlgAnswer-2); break;
		}
	}
}

int CharEditorHairMeshMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose hair mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=6; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,7,dlgAnswer-2); break;
		}
	}
}

int CharEditorEyeGlowMenu()
{
	int i;
	for(;;)
	{
		SelectMenu("|c311Chose Eye Glow mesh:");
		AddToSelectMenu("no mesh");
		for (i=1; i<=1; i++)
			AddToSelectMenu(string(i));
		i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			default: SetCreatureMesh(mc_ID,9,dlgAnswer-2); break;
		}
	}
}

int CharEditorWeaponMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose weapon:");
		AddToSelectMenu("Bone 01"); i++;
		AddToSelectMenu("staff_wood01"); i++;
		AddToSelectMenu("staff_wood02"); i++;
		AddToSelectMenu("staff_wood03"); i++;
		AddToSelectMenu("staff_wood04"); i++;
		AddToSelectMenu("staff_wood05"); i++;
		AddToSelectMenu("staff_bone01"); i++;
		AddToSelectMenu("staff_bone02"); i++;
		AddToSelectMenu("staff_bone03"); i++;
		AddToSelectMenu("staff_bone04"); i++;
		AddToSelectMenu("staff_bone05"); i++;
		AddToSelectMenu("staff_glass01"); i++;
		AddToSelectMenu("staff_glass02"); i++;
		AddToSelectMenu("staff_glass03"); i++;
		AddToSelectMenu("staff_glass04"); i++;
		AddToSelectMenu("staff_glass05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 1);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"Bone 01",1,2); break;
			case 2: AddToInventory(mc_ID,"staff_wood01",1,2); break;
			case 3: AddToInventory(mc_ID,"staff_wood02",1,2); break;
			case 4: AddToInventory(mc_ID,"staff_wood03",1,2); break;
			case 5: AddToInventory(mc_ID,"staff_wood04",1,2); break;
			case 6: AddToInventory(mc_ID,"staff_wood05",1,2); break;
			case 7: AddToInventory(mc_ID,"staff_bone01",1,2); break;
			case 8: AddToInventory(mc_ID,"staff_bone02",1,2); break;
			case 9: AddToInventory(mc_ID,"staff_bone03",1,2); break;
			case 10: AddToInventory(mc_ID,"staff_bone04",1,2); break;
			case 11: AddToInventory(mc_ID,"staff_bone05",1,2); break;
			case 12: AddToInventory(mc_ID,"staff_glass01",1,2); break;
			case 13: AddToInventory(mc_ID,"staff_glass02",1,2); break;
			case 14: AddToInventory(mc_ID,"staff_glass03",1,2); break;
			case 15: AddToInventory(mc_ID,"staff_glass04",1,2); break;
			case 16: AddToInventory(mc_ID,"staff_glass05",1,2); break;
		}
	}
}

int CharEditorOutfitMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose outfit:");
		AddToSelectMenu("OutfitLight01"); i++;
		AddToSelectMenu("OutfitLight02"); i++;
		AddToSelectMenu("OutfitLight03"); i++;
		AddToSelectMenu("OutfitLight04"); i++;
		AddToSelectMenu("OutfitLight05"); i++;
		AddToSelectMenu("OutfitNormal01"); i++;
		AddToSelectMenu("OutfitNormal02"); i++;
		AddToSelectMenu("OutfitNormal03"); i++;
		AddToSelectMenu("OutfitNormal04"); i++;
		AddToSelectMenu("OutfitNormal05"); i++;
		AddToSelectMenu("OutfitHeavy01"); i++;
		AddToSelectMenu("OutfitHeavy02"); i++;
		AddToSelectMenu("OutfitHeavy03"); i++;
		AddToSelectMenu("OutfitHeavy04"); i++;
		AddToSelectMenu("OutfitHeavy05"); i++;
		AddToSelectMenu("OutfitSuperHeavy01"); i++;
		AddToSelectMenu("OutfitSuperHeavy02"); i++;
		AddToSelectMenu("OutfitSuperHeavy03"); i++;
		AddToSelectMenu("OutfitSuperHeavy04"); i++;
		AddToSelectMenu("OutfitSuperHeavy05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"OutfitLight01",1,2); break;
			case 2: AddToInventory(mc_ID,"OutfitLight02",1,2); break;
			case 3: AddToInventory(mc_ID,"OutfitLight03",1,2); break;
			case 4: AddToInventory(mc_ID,"OutfitLight04",1,2); break;
			case 5: AddToInventory(mc_ID,"OutfitLight05",1,2); break;
			case 6: AddToInventory(mc_ID,"OutfitNormal01",1,2); break;
			case 7: AddToInventory(mc_ID,"OutfitNormal02",1,2); break;
			case 8: AddToInventory(mc_ID,"OutfitNormal03",1,2); break;
			case 9: AddToInventory(mc_ID,"OutfitNormal04",1,2); break;
			case 10: AddToInventory(mc_ID,"OutfitNormal05",1,2); break;
			case 11: AddToInventory(mc_ID,"OutfitHeavy01",1,2); break;
			case 12: AddToInventory(mc_ID,"OutfitHeavy02",1,2); break;
			case 13: AddToInventory(mc_ID,"OutfitHeavy03",1,2); break;
			case 14: AddToInventory(mc_ID,"OutfitHeavy04",1,2); break;
			case 15: AddToInventory(mc_ID,"OutfitHeavy05",1,2); break;
			case 16: AddToInventory(mc_ID,"OutfitSuperHeavy01",1,2); break;
			case 17: AddToInventory(mc_ID,"OutfitSuperHeavy02",1,2); break;
			case 18: AddToInventory(mc_ID,"OutfitSuperHeavy03",1,2); break;
			case 19: AddToInventory(mc_ID,"OutfitSuperHeavy04",1,2); break;
			case 20: AddToInventory(mc_ID,"OutfitSuperHeavy05",1,2); break;
		}
	}
}

int CharEditorBracerMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose bracer:");
		AddToSelectMenu("BracerLight01"); i++;
		AddToSelectMenu("BracerLight02"); i++;
		AddToSelectMenu("BracerLight03"); i++;
		AddToSelectMenu("BracerLight04"); i++;
		AddToSelectMenu("BracerLight05"); i++;
		AddToSelectMenu("BracerNormal01"); i++;
		AddToSelectMenu("BracerNormal02"); i++;
		AddToSelectMenu("BracerNormal03"); i++;
		AddToSelectMenu("BracerNormal04"); i++;
		AddToSelectMenu("BracerNormal05"); i++;
		AddToSelectMenu("BracerHeavy01"); i++;
		AddToSelectMenu("BracerHeavy02"); i++;
		AddToSelectMenu("BracerHeavy03"); i++;
		AddToSelectMenu("BracerHeavy04"); i++;
		AddToSelectMenu("BracerHeavy05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 14);
		UnEquip(mc_ID, 15);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"BracerLight01",2,2); break;
			case 2: AddToInventory(mc_ID,"BracerLight02",2,2); break;
			case 3: AddToInventory(mc_ID,"BracerLight03",2,2); break;
			case 4: AddToInventory(mc_ID,"BracerLight04",2,2); break;
			case 5: AddToInventory(mc_ID,"BracerLight05",2,2); break;
			case 6: AddToInventory(mc_ID,"BracerNormal01",2,2); break;
			case 7: AddToInventory(mc_ID,"BracerNormal02",2,2); break;
			case 8: AddToInventory(mc_ID,"BracerNormal03",2,2); break;
			case 9: AddToInventory(mc_ID,"BracerNormal04",2,2); break;
			case 10: AddToInventory(mc_ID,"BracerNormal05",2,2); break;
			case 11: AddToInventory(mc_ID,"BracerHeavy01",2,2); break;
			case 12: AddToInventory(mc_ID,"BracerHeavy02",2,2); break;
			case 13: AddToInventory(mc_ID,"BracerHeavy03",2,2); break;
			case 14: AddToInventory(mc_ID,"BracerHeavy04",2,2); break;
			case 15: AddToInventory(mc_ID,"BracerHeavy05",2,2); break;
		}
	}
}

int CharEditorPauldronMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose pauldron:");
		AddToSelectMenu("PauldronLight01"); i++;
		AddToSelectMenu("PauldronLight02"); i++;
		AddToSelectMenu("PauldronLight03"); i++;
		AddToSelectMenu("PauldronLight04"); i++;
		AddToSelectMenu("PauldronLight05"); i++;
		AddToSelectMenu("PauldronNormal01"); i++;
		AddToSelectMenu("PauldronNormal02"); i++;
		AddToSelectMenu("PauldronNormal03"); i++;
		AddToSelectMenu("PauldronNormal04"); i++;
		AddToSelectMenu("PauldronNormal05"); i++;
		AddToSelectMenu("PauldronHeavy01"); i++;
		AddToSelectMenu("PauldronHeavy02"); i++;
		AddToSelectMenu("PauldronHeavy03"); i++;
		AddToSelectMenu("PauldronHeavy04"); i++;
		AddToSelectMenu("PauldronHeavy05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 5);
		UnEquip(mc_ID, 6);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"PauldronLight01",2,2); break;
			case 2: AddToInventory(mc_ID,"PauldronLight02",2,2); break;
			case 3: AddToInventory(mc_ID,"PauldronLight03",2,2); break;
			case 4: AddToInventory(mc_ID,"PauldronLight04",2,2); break;
			case 5: AddToInventory(mc_ID,"PauldronLight05",2,2); break;
			case 6: AddToInventory(mc_ID,"PauldronNormal01",2,2); break;
			case 7: AddToInventory(mc_ID,"PauldronNormal02",2,2); break;
			case 8: AddToInventory(mc_ID,"PauldronNormal03",2,2); break;
			case 9: AddToInventory(mc_ID,"PauldronNormal04",2,2); break;
			case 10: AddToInventory(mc_ID,"PauldronNormal05",2,2); break;
			case 11: AddToInventory(mc_ID,"PauldronHeavy01",2,2); break;
			case 12: AddToInventory(mc_ID,"PauldronHeavy02",2,2); break;
			case 13: AddToInventory(mc_ID,"PauldronHeavy03",2,2); break;
			case 14: AddToInventory(mc_ID,"PauldronHeavy04",2,2); break;
			case 15: AddToInventory(mc_ID,"PauldronHeavy05",2,2); break;
		}
	}
}

int CharEditorGloveMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose gloves or gauntlets:");
		AddToSelectMenu("Gloves01"); i++;
		AddToSelectMenu("Gloves02"); i++;
		AddToSelectMenu("Gloves03"); i++;
		AddToSelectMenu("Gloves04"); i++;
		AddToSelectMenu("Gloves05"); i++;
		AddToSelectMenu("Gauntlets01"); i++;
		AddToSelectMenu("Gauntlets02"); i++;
		AddToSelectMenu("Gauntlets03"); i++;
		AddToSelectMenu("Gauntlets04"); i++;
		AddToSelectMenu("Gauntlets05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 10);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"Gloves01",1,2); break;
			case 2: AddToInventory(mc_ID,"Gloves02",1,2); break;
			case 3: AddToInventory(mc_ID,"Gloves03",1,2); break;
			case 4: AddToInventory(mc_ID,"Gloves04",1,2); break;
			case 5: AddToInventory(mc_ID,"Gloves05",1,2); break;
			case 6: AddToInventory(mc_ID,"Gauntlets01",1,2); break;
			case 7: AddToInventory(mc_ID,"Gauntlets02",1,2); break;
			case 8: AddToInventory(mc_ID,"Gauntlets03",1,2); break;
			case 9: AddToInventory(mc_ID,"Gauntlets04",1,2); break;
			case 10: AddToInventory(mc_ID,"Gauntlets05",1,2); break;
		}
	}
}

int CharEditorHatMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose hat:");
		AddToSelectMenu("HatLight01"); i++;
		AddToSelectMenu("HatLight02"); i++;
		AddToSelectMenu("HatLight03"); i++;
		AddToSelectMenu("HatLight04"); i++;
		AddToSelectMenu("HatLight05"); i++;
		AddToSelectMenu("HatNormal01"); i++;
		AddToSelectMenu("HatNormal02"); i++;
		AddToSelectMenu("HatNormal03"); i++;
		AddToSelectMenu("HatNormal04"); i++;
		AddToSelectMenu("HatNormal05"); i++;
		AddToSelectMenu("HatHeavy01"); i++;
		AddToSelectMenu("HatHeavy02"); i++;
		AddToSelectMenu("HatHeavy03"); i++;
		AddToSelectMenu("HatHeavy04"); i++;
		AddToSelectMenu("HatHeavy05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 7);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"HatLight01",1,2); break;
			case 2: AddToInventory(mc_ID,"HatLight02",1,2); break;
			case 3: AddToInventory(mc_ID,"HatLight03",1,2); break;
			case 4: AddToInventory(mc_ID,"HatLight04",1,2); break;
			case 5: AddToInventory(mc_ID,"HatLight05",1,2); break;
			case 6: AddToInventory(mc_ID,"HatNormal01",1,2); break;
			case 7: AddToInventory(mc_ID,"HatNormal02",1,2); break;
			case 8: AddToInventory(mc_ID,"HatNormal03",1,2); break;
			case 9: AddToInventory(mc_ID,"HatNormal04",1,2); break;
			case 10: AddToInventory(mc_ID,"HatNormal05",1,2); break;
			case 11: AddToInventory(mc_ID,"HatHeavy01",1,2); break;
			case 12: AddToInventory(mc_ID,"HatHeavy02",1,2); break;
			case 13: AddToInventory(mc_ID,"HatHeavy03",1,2); break;
			case 14: AddToInventory(mc_ID,"HatHeavy04",1,2); break;
			case 15: AddToInventory(mc_ID,"HatHeavy05",1,2); break;
		}
	}
}

int CharEditorBootMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose boots:");
		AddToSelectMenu("BootsLight01"); i++;
		AddToSelectMenu("BootsLight02"); i++;
		AddToSelectMenu("BootsLight03"); i++;
		AddToSelectMenu("BootsLight04"); i++;
		AddToSelectMenu("BootsLight05"); i++;
		AddToSelectMenu("BootsNormal01"); i++;
		AddToSelectMenu("BootsNormal02"); i++;
		AddToSelectMenu("BootsNormal03"); i++;
		AddToSelectMenu("BootsNormal04"); i++;
		AddToSelectMenu("BootsNormal05"); i++;
		AddToSelectMenu("BootsHeavy01"); i++;
		AddToSelectMenu("BootsHeavy02"); i++;
		AddToSelectMenu("BootsHeavy03"); i++;
		AddToSelectMenu("BootsHeavy04"); i++;
		AddToSelectMenu("BootsHeavy05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 4);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"BootsLight01",1,2); break;
			case 2: AddToInventory(mc_ID,"BootsLight02",1,2); break;
			case 3: AddToInventory(mc_ID,"BootsLight03",1,2); break;
			case 4: AddToInventory(mc_ID,"BootsLight04",1,2); break;
			case 5: AddToInventory(mc_ID,"BootsLight05",1,2); break;
			case 6: AddToInventory(mc_ID,"BootsNormal01",1,2); break;
			case 7: AddToInventory(mc_ID,"BootsNormal02",1,2); break;
			case 8: AddToInventory(mc_ID,"BootsNormal03",1,2); break;
			case 9: AddToInventory(mc_ID,"BootsNormal04",1,2); break;
			case 10: AddToInventory(mc_ID,"BootsNormal05",1,2); break;
			case 11: AddToInventory(mc_ID,"BootsHeavy01",1,2); break;
			case 12: AddToInventory(mc_ID,"BootsHeavy02",1,2); break;
			case 13: AddToInventory(mc_ID,"BootsHeavy03",1,2); break;
			case 14: AddToInventory(mc_ID,"BootsHeavy04",1,2); break;
			case 15: AddToInventory(mc_ID,"BootsHeavy05",1,2); break;
		}
	}
}

int CharEditorBeltMenu()
{
	int i;
	for(;;)
	{
		i=1;
		SelectMenu("|c311Chose sash, belt, cord:");
		AddToSelectMenu("Sash01"); i++;
		AddToSelectMenu("Sash02"); i++;
		AddToSelectMenu("Sash03"); i++;
		AddToSelectMenu("Sash04"); i++;
		AddToSelectMenu("Belt05"); i++;
		AddToSelectMenu("Belt01"); i++;
		AddToSelectMenu("Belt02"); i++;
		AddToSelectMenu("Belt03"); i++;
		AddToSelectMenu("Belt04"); i++;
		AddToSelectMenu("Belt05"); i++;
		AddToSelectMenu("Cord01"); i++;
		AddToSelectMenu("Cord02"); i++;
		AddToSelectMenu("Cord03"); i++;
		AddToSelectMenu("Cord04"); i++;
		AddToSelectMenu("Cord05"); i++;
		AddToSelectMenu("Back");
		return; // reenter

		if(dlgAnswer==i) return 1;

		UnEquip(mc_ID, 11);

		switch(dlgAnswer)
		{
			case 0: return 0;
			case 1: AddToInventory(mc_ID,"Sash01",1,2); break;
			case 2: AddToInventory(mc_ID,"Sash02",1,2); break;
			case 3: AddToInventory(mc_ID,"Sash03",1,2); break;
			case 4: AddToInventory(mc_ID,"Sash04",1,2); break;
			case 5: AddToInventory(mc_ID,"Sash05",1,2); break;
			case 6: AddToInventory(mc_ID,"Belt01",1,2); break;
			case 7: AddToInventory(mc_ID,"Belt02",1,2); break;
			case 8: AddToInventory(mc_ID,"Belt03",1,2); break;
			case 9: AddToInventory(mc_ID,"Belt04",1,2); break;
			case 10: AddToInventory(mc_ID,"Belt05",1,2); break;
			case 11: AddToInventory(mc_ID,"Cord01",1,2); break;
			case 12: AddToInventory(mc_ID,"Cord02",1,2); break;
			case 13: AddToInventory(mc_ID,"Cord03",1,2); break;
			case 14: AddToInventory(mc_ID,"Cord04",1,2); break;
			case 15: AddToInventory(mc_ID,"Cord05",1,2); break;
		}
	}
}

SetCameraMode(1);
SetCamCreature(1, mc_ID, 60, 100, 180, 10);
CharEditorMainMenu();
CloseSelectMenu();
SetCameraMode(0);